summaryrefslogtreecommitdiff
path: root/repo/dash/dash.xibuild
diff options
context:
space:
mode:
Diffstat (limited to 'repo/dash/dash.xibuild')
-rw-r--r--repo/dash/dash.xibuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/repo/dash/dash.xibuild b/repo/dash/dash.xibuild
new file mode 100644
index 0000000..a63eb4d
--- /dev/null
+++ b/repo/dash/dash.xibuild
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+MAKEDEPS="make "
+DEPS="musl"
+
+PKG_VER=0.5.11.5
+SOURCE=http://gondor.apana.org.au/~herbert/dash/files/dash-$PKG_VER.tar.gz
+DESC="POSIX compliant shell that aims to be as small as possible"
+
+build () {
+ ./configure --bindir=/usr/bin --mandir=/usr/share/man &&
+ make
+}
+
+package () {
+ make DESTDIR=$PKG_DEST install
+
+ ln -s dash $PKG_DEST/usr/bin/sh
+}
+
+postinstall () {
+ command -v grep || exit 1
+ command -v echo || exit 1
+
+ if [ -f /etc/shells ] || grep -vq "dash" /etc/shells; then
+ echo "/bin/bash" >> /etc/shells
+ fi
+}